Firmware 2.10 de la PS Vita y "mejoras de estabilidad"
Publicidad


Firmware 2.10 de la PS Vita y “mejoras de estabilidad”

Publicidad

El último firmware 2.10 de la PS Vita ha sido lanzado hace poco, y ya sabemos que bloquea el exploit del Apache Overkill, pero esta versión viene con unas pequeñas sorpresas llamadas “mejoras de estabilidad”.

Realmente lo que hace es... otro FW inútil

Sony ha hecho lo que parece ser un intento por ralentizar a los hackers e intentar hacer el emulador de la PSP un poco mas seguro y difícil de hackear en la versión 2.10. Aparentemente se han hecho algunos cambios para hacer nuestro trabajo un poco mas difícil. Hasta ahora hemos descubierto dos grandes cambios. Pero, como siempre, ya hay algunos métodos para ellos.

Publicidad

Entonces ¿Cuáles son los cambios? Veamos.

TN-V

qEKNYSZ

Algunos de los cambios los descubrió Total_Noob, y parecen ser intentos de prever eCFW (y en este caso, TN-V) en ejecución, o por lo menos, hacerlo mas difícil de ejecutar.

Podéis ver detalles en el post de Total_Noob en el foro de wololo, donde, de acuerdo con este post, Sony ha hecho otro intento de parar homebrew en la PS Vita. Parece que algunas de las partes de memoria críticas se han hecho de solo lectura, y la localización de los archivos flash en la RAM se ha cambiado también, pero TN se las ha arreglado para subsanar todos esos problemas. Aunque cabe destacar que algunas de las afirmaciones de Total_Noob se han visto contradichas por el hecho de que The Z fuera capaz de ejecutar VHBL en la versión 2.10 en el primer día, tal como se vió en otro post.

Pero uno de los cambios ha sido bueno para los kernel exploits, y es que la RAM se ha aumentado hasta la cifra de 64MB de RAM que ahora están disponibles en el emulador de la PSP. Esto significa potencialmente mejor soporte para homebrew (en particular para homebrews tan solicitados como el DaedalusX64) en futuros eCFW.

VHBL y los exploits usermode en general

ZUSeuZt

Además de los cambios de RAM explicados arriba, parece que Sony ha bloqueado el acceso de escritura a la carpeta ms0:/PSP/GAME en los exploits usermode.

Esto significa que ninguno de los menús de VHBL será capaz de instalar homebrew sin modificaciones en la versión 2.10. Los equipos desarrolladores están discutiendo un nuevo directorio donde el VHBL podría instalar los juegos en un futuro.

Esto también podría afectar a los exploits kernel, pero está por confirmar.

En este momento el único menú de VHBL que parece estar activamente bajo desarrollo es el pyMenu (y el XMBM que será lanzado pronto), el equipo pyMenu está ocupado con el trabajo ajustando el menú para el nuevo parche y un fix podría estar disponible pronto. (nota de wololo: actualmente el wMenu no está bajo mantenimiento ya que hace exactamente lo que tiene que hacer, pero me pondría a trabajar si necesitara una actualización, no me enterréis todavía).

Estos cambios parecen sobre todo medios esfuerzos para ralentizar el VHBL y los CEF, pero ninguna medida “anti-hack” realmente en el emulador de la PSP. Parece extraño que Sony aún haga algún esfuerzo en el emulador de la PSP, especialmente cuando ya tienen un método razonablemente eficaz de parar la mayoría de hacks del emulador hoy día (quitando los juegos exploiteados de la store). En cualquier caso es posible que estos cambios sean para incrementar la compatibilidad de los juegos de psp en el emulador de psp (y que incremente también la seccion de juegos en PSN), y que estos no sean mas que algunos efectos secundarios en nuestros hacks.

Fuente: Wololo

Publicidad

Publicado por para PSNeo.com el a las 21:37

Comentarios